wibble::sys::Buffer::Data Class Reference

`#include <buffer.h>`

## Public Member Functions

| Data () throw ()
| Data (size_t size)
| Data (void *buf, size_t size, bool own=true)
| Data (const void *buf, size_t size)
| ~Data ()
void | ref () const throw ()
| Increment the reference count for this object. More...
bool | unref () const throw ()
| Decrement the reference count for this object, returning true when it reaches 0. More...
void | resize (size_t size)
| Resize (enlarging or shrinking it) the buffer to ‘size’ bytes. More...
bool | operator== (const Data &d) const throw ()
| Compare the contents of two buffers. More...
bool | operator< (const Data &d) const throw ()
| Compare the contents of two buffers. More...

## Protected Attributes

int | _ref
size_t | _size
void * | _data

## Friends

class | Buffer

## Constructor & Destructor Documentation

## Data() [1/4]

wibble::sys::Buffer::Data::Data | ( |  | ) |
throw | ( |
| ) |  |

inline

## Data() [2/4]

wibble::sys::Buffer::Data::Data | ( | size_t | size | ) |

References _data, and wibble::sys::Buffer::size().

## Data() [3/4]

wibble::sys::Buffer::Data::Data | ( | void * | buf,
|  | size_t | size,
|  | bool | own = `true`
| ) |  |

References _data, and wibble::sys::Buffer::size().

## Data() [4/4]

wibble::sys::Buffer::Data::Data | ( | const void * | buf,
|  | size_t | size
| ) |  |

References _data, and wibble::sys::Buffer::size().

## ~Data()

wibble::sys::Buffer::Data::~Data | ( |  | ) |

## Member Function Documentation

## operator<()

bool wibble::sys::Buffer::Data::operator< | ( | const Data & | d | ) | const
throw | ( |
| ) |  |

Compare the contents of two buffers.

## operator==()

bool wibble::sys::Buffer::Data::operator== | ( | const Data & | d | ) | const
throw | ( |
| ) |  |

Compare the contents of two buffers.

## ref()

void wibble::sys::Buffer::Data::ref | ( |  | ) | const
throw | ( |
| ) |  |

inline

Increment the reference count for this object.

References _ref.

Referenced by wibble::sys::Buffer::Buffer(), wibble::sys::Buffer::operator=(), and wibble::sys::Buffer::resize().

## resize()

void wibble::sys::Buffer::Data::resize | ( | size_t | size | ) |

Resize (enlarging or shrinking it) the buffer to ‘size’ bytes.

References wibble::sys::Buffer::size().

Referenced by wibble::sys::Buffer::resize().

## unref()

bool wibble::sys::Buffer::Data::unref | ( |  | ) | const
throw | ( |
| ) |  |

inline

Decrement the reference count for this object, returning true when it reaches 0.

References _ref.

Referenced by wibble::sys::Buffer::operator=(), wibble::sys::Buffer::resize(), and wibble::sys::Buffer::~Buffer().

## Friends And Related Function Documentation

## Buffer

friend class Buffer

friend

## Member Data Documentation

## _data

void* wibble::sys::Buffer::Data::_data

protected

Referenced by wibble::sys::Buffer::data(), and Data().

## _ref

int wibble::sys::Buffer::Data::_ref

mutable protected

Referenced by ref(), and unref().

## _size

size_t wibble::sys::Buffer::Data::_size

protected

Referenced by wibble::sys::Buffer::size().

The documentation for this class was generated from the following files:

- buffer.h
- buffer.cpp